org.apache.ignite.internal.jdbc

## Class JdbcPreparedStatement

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcStatement
  - - org.apache.ignite.internal.jdbc.JdbcPreparedStatement

All Implemented Interfaces:
  AutoCloseable, PreparedStatement, Statement, Wrapper

    public class JdbcPreparedStatement
    extends JdbcStatement
    implements PreparedStatement

JDBC prepared statement implementation.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.jdbc.JdbcStatement

`args`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`void` `addBatch()`
`void` `clearParameters()`
`boolean` `execute()`
`ResultSet` `executeQuery()`
`int` `executeUpdate()`
`ResultSetMetaData` `getMetaData()`
`ParameterMetaData` `getParameterMetaData()`
`void` `setArray(int paramIdx, Array x)`
`void` `setAsciiStream(int paramIdx, InputStream x)`
`void` `setAsciiStream(int paramIdx, InputStream x, int length)`
`void` `setAsciiStream(int paramIdx, InputStream x, long length)`
`void` `setBigDecimal(int paramIdx, BigDecimal x)`
`void` `setBinaryStream(int paramIdx, InputStream x)`
`void` `setBinaryStream(int paramIdx, InputStream x, int length)`
`void` `setBinaryStream(int paramIdx, InputStream x, long length)`
`void` `setBlob(int paramIdx, Blob x)`
`void` `setBlob(int paramIdx, InputStream inputStream)`
`void` `setBlob(int paramIdx, InputStream inputStream, long length)`
`void` `setBoolean(int paramIdx, boolean x)`
`void` `setByte(int paramIdx, byte x)`
`void` `setBytes(int paramIdx, byte[] x)`
`void` `setCharacterStream(int paramIdx, Reader x)`
`void` `setCharacterStream(int paramIdx, Reader x, int length)`
`void` `setCharacterStream(int paramIdx, Reader x, long length)`
`void` `setClob(int paramIdx, Clob x)`
`void` `setClob(int paramIdx, Reader reader)`
`void` `setClob(int paramIdx, Reader reader, long length)`
`void` `setDate(int paramIdx, Date x)`
`void` `setDate(int paramIdx, Date x, Calendar cal)`
`void` `setDouble(int paramIdx, double x)`
`void` `setFloat(int paramIdx, float x)`
`void` `setInt(int paramIdx, int x)`
`void` `setLong(int paramIdx, long x)`
`void` `setNCharacterStream(int paramIdx, Reader val)`
`void` `setNCharacterStream(int paramIdx, Reader val, long length)`
`void` `setNClob(int paramIdx, NClob val)`
`void` `setNClob(int paramIdx, Reader reader)`
`void` `setNClob(int paramIdx, Reader reader, long length)`
`void` `setNString(int paramIdx, String val)`
`void` `setNull(int paramIdx, int sqlType)`
`void` `setNull(int paramIdx, int sqlType, String typeName)`
`void` `setObject(int paramIdx, Object x)`
`void` `setObject(int paramIdx, Object x, int targetSqlType)`
`void` `setObject(int paramIdx, Object x, int targetSqlType, int scaleOrLength)`
`void` `setRef(int paramIdx, Ref x)`
`void` `setRowId(int paramIdx, RowId x)`
`void` `setShort(int paramIdx, short x)`
`void` `setSQLXML(int paramIdx, SQLXML xmlObj)`
`void` `setString(int paramIdx, String x)`
`void` `setTime(int paramIdx, Time x)`
`void` `setTime(int paramIdx, Time x, Calendar cal)`
`void` `setTimestamp(int paramIdx, Timestamp x)`
`void` `setTimestamp(int paramIdx, Timestamp x, Calendar cal)`
`void` `setUnicodeStream(int paramIdx, InputStream x, int length)`
`void` `setURL(int paramIdx, URL x)`

### Methods inherited from class org.apache.ignite.internal.jdbc.JdbcStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, ensureNotClosed, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int paramIdx,
               int sqlType)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(int paramIdx,
                  boolean x)
                    throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(int paramIdx,
               byte x)
                 throws SQLException

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(int paramIdx,
                short x)
                  throws SQLException

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(int paramIdx,
              int x)
                throws SQLException

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(int paramIdx,
               long x)
                 throws SQLException

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(int paramIdx,
                float x)
                  throws SQLException

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(int paramIdx,
                 double x)
                   throws SQLException

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(int paramIdx,
                     BigDecimal x)
                       throws SQLException

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    public void setString(int paramIdx,
                 String x)
                   throws SQLException

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBytes

    public void setBytes(int paramIdx,
                byte[] x)
                  throws SQLException

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int paramIdx,
               Date x)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int paramIdx,
               Time x)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int paramIdx,
                    Timestamp x)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                      InputStream x,
                      int length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int paramIdx,
                        InputStream x,
                        int length)
                          throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                       InputStream x,
                       int length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                 Object x,
                 int targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                 Object x)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### execute

    public boolean execute()
                    throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                          Reader x,
                          int length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    public void setRef(int paramIdx,
              Ref x)
                throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
               Blob x)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
               Clob x)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setArray

    public void setArray(int paramIdx,
                Array x)
                  throws SQLException

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int paramIdx,
               Date x,
               Calendar cal)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int paramIdx,
               Time x,
               Calendar cal)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int paramIdx,
                    Timestamp x,
                    Calendar cal)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int paramIdx,
               int sqlType,
               String typeName)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(int paramIdx,
              URL x)
                throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(int paramIdx,
                RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int paramIdx,
                  String val)
                    throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int paramIdx,
                           Reader val,
                           long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                NClob val)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
               Reader reader,
               long length)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
               InputStream inputStream,
               long length)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                Reader reader,
                long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int paramIdx,
                 SQLXML xmlObj)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                 Object x,
                 int targetSqlType,
                 int scaleOrLength)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                      InputStream x,
                      long length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                       InputStream x,
                       long length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                          Reader x,
                          long length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                      InputStream x)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                       InputStream x)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                          Reader x)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int paramIdx,
                           Reader val)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
               Reader reader)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
               InputStream inputStream)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                Reader reader)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015